/*! \file functions.h

\brief \H Header file for several EPOS command functions.<br>
\author Christian Affolter, nanoTRONIC
\date Oct 2009
*/


#ifndef FUNCTIONS_H_
#define FUNCTIONS_H_


#include "msg_queue.h"
#include "global_def.h"

/*! \cond NOT_IN_DOXY_DOC */
WORD get_statusword(struct motor_args *arguments);
int go_to_velocity(unsigned int acc, unsigned int dec, unsigned int velocity, struct motor_args *arguments, struct msg_queue *queue, time_t start_time, WORD centrifugation_time);
int go_to_position(int degrees, struct motor_args *arguments, struct msg_queue *queue);
int go_to_home_position(struct motor_args *arguments, struct msg_queue *queue);
int check_if_stop_MQ_for_timeout(WORD timeout, struct motor_args *arguments, struct msg_queue *queue , time_t start_time, WORD centrifugation_time);
void go_to_defined_state( struct motor_args *arguments);
void fault_reset( struct motor_args *arguments);
int check_MQ_and_wait(WORD timeout_in_s, struct motor_args *arguments, struct msg_queue *queue, time_t start_time, WORD centrifugation_time);
/*! \endcond */


#endif /* FUNCTIONS_H_ */
